## cascading.flow
Class FlowStepJob

    java.lang.Object
      cascading.flow.FlowStepJob

All Implemented Interfaces:
  Callable<Throwable>

    public class FlowStepJob

extends Object
implements Callable<Throwable>

Field Summary
`protected List<FlowStepJob>` `predecessors` Field predecessors
`protected Throwable` `throwable` Field throwable

Constructor Summary
`FlowStepJob(FlowStep flowStep, String stepName, JobConf currentConf)`

Method Summary
`protected void` `blockOnJob()`
`protected void` `blockOnPredecessors()`
`protected void` `blockTillCompleteOrStopped()`
`Throwable` `call()`
`StepStats` `getStepStats()` Method getStepStats returns the stepStats of this FlowStepJob object.
`boolean` `isSuccessful()` Method isSuccessful returns true if this step completed successfully.
`void` `setPredecessors(List<FlowStepJob> predecessors)`
`protected void` `sleep()`
`protected void` `start()`
`void` `stop()`
`boolean` `wasStarted()` Method wasStarted returns true if this job was started

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### predecessors

    protected List<FlowStepJob> predecessors

  Field predecessors

### throwable

    protected Throwable throwable

  Field throwable

Constructor Detail

### FlowStepJob

    public FlowStepJob(FlowStep flowStep,
                       String stepName,
                       JobConf currentConf)

Method Detail

### stop

    public void stop()

### setPredecessors

    public void setPredecessors(List<FlowStepJob> predecessors)
                         throws IOException

  Throws:
    `IOException`

### call

    public Throwable call()

  Specified by:
    `call` in interface `Callable<Throwable>`

### start

    protected void start()

### blockOnJob

    protected void blockOnJob()
                       throws IOException

  Throws:
    `IOException`

### blockTillCompleteOrStopped

    protected void blockTillCompleteOrStopped()
                                       throws IOException

  Throws:
    `IOException`

### sleep

    protected void sleep()

### blockOnPredecessors

    protected void blockOnPredecessors()

### isSuccessful

    public boolean isSuccessful()

  Method isSuccessful returns true if this step completed successfully.

  Returns:
    the successful (type boolean) of this FlowStepJob object.

### wasStarted

    public boolean wasStarted()

  Method wasStarted returns true if this job was started

  Returns:
    boolean

### getStepStats

    public StepStats getStepStats()

  Method getStepStats returns the stepStats of this FlowStepJob object.

  Returns:
    the stepStats (type StepStats) of this FlowStepJob object.

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.